
Redmine - Feature #7957

Customizable location of {installdir}\files

2011-03-22 16:38 - Frank Helk

Status: Closed Start date: 2011-03-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I would prefer a customizable location for the user files, now - as far as I can see - hardcoded to {installdir}\files.

This would give us two rewards:

The files don't need to be moved to a new location with every update of Redmine.

While redmine could sit in a "software" region of the system (On Win systems C:\Programs), the files can be rest in peace on a

separate data partition (on Win systems i.e D:\files), allowing i.e. separate backup and defrag cycles.

I don't expect that to make its way into the UI, but it could be somewhere in the config files on the server.

Related issues:

Is duplicate of Redmine - Feature #1236: Make destination folder for attachme... Closed 2008-05-14

History

#1 - 2011-03-22 16:49 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

There already exists a setting named attachments_storage_path in configuration.yml (see source:trunk/config/configuration.yml.example#L93) for that

purpose.

#2 - 2011-04-26 01:21 - Gilles Cornu

Etienne Massip wrote:

There already exists a setting named attachments_storage_path in configuration.yml (see source:trunk/config/configuration.yml.example#L93)

for that purpose.

 Small additional note: already exists is a bit misleading since this is a new feature that will be available with upcoming Milestone 1.2.0 (to be

released on 2011-04-30), see feature request #1236 (and also Patch #1511).

(Sorry, my profile permissions are standard/basic... If I could, I would have linked this duplicating ticket to #1236 to enhance ticket browsing...)

#3 - 2011-04-26 09:11 - Etienne Massip

- Resolution changed from Invalid to Duplicate

Thanks for the precision.
